View unanswered posts    View active topics

All times are UTC - 6 hours





Post new topic Reply to topic  [ 8 posts ] 
Print view Previous topic   Next topic  
Author Message
Search for:
PostPosted: Sat Jun 13, 2020 8:20 pm 
Offline
Joined: Mon Aug 14, 2006 8:24 pm
Posts: 318
Location: Melbourne, Australia
I have been getting an error in Kodi when trying to stream from certain sources:
"Videoplayer inputstream: inputstream adaptive
Add-on couldn't be loaded"

I have searched for how to install the add-on but most instructions indicate it can be done from the Kodi menu, but the "Videoplayer Inputstream" listing does not occur in my list of official kodi add-on categories. Is there some other step I am missing?

_________________
Intel DG965WH, Dvico DVB-T Lite x2, HDHR, Gigabyte GT220, KingstonSSD, WD20EARS version=latest


Top
 Profile  
 
PostPosted: Mon Jun 15, 2020 6:11 am 
Offline
Joined: Sat Jan 06, 2007 7:08 pm
Posts: 105
My installation of Kodi was done from the linhes package (thank you knapster). I am assuming you are also using this package. My install of Kodi has this add-on, however I didn't knowingly install it, so I assume it was installed as part of the package install.

do you see it in System -> Addons -> MyAddons -> VideoPlayer InputStream ?

if so, check to see if it is enabled. on my installation, it was not enabled

_________________
DH87MC i7-4770 16GB ram Xonar Essence ST geforce 710 LinHes 8.6


Top
 Profile  
 
PostPosted: Mon Jun 15, 2020 10:37 pm 
Offline
Joined: Mon Aug 14, 2006 8:24 pm
Posts: 318
Location: Melbourne, Australia
welner, you are right. VideoPlayer InputStream is listed in MyAddons and it is enabled but some streams are giving the error. On further googling I suspect it may be a problem with RTMP. The only thing listed under System->Add-ons-MyAddons->VideoPlayer InputStream is InputStream Adaptive.

Shouldn't I also have RTMP Input listed? I cannot install from the Kodi repo because the VideoPlayer InputStream category is not listed.

_________________
Intel DG965WH, Dvico DVB-T Lite x2, HDHR, Gigabyte GT220, KingstonSSD, WD20EARS version=latest


Top
 Profile  
 
PostPosted: Tue Jun 16, 2020 5:47 am 
Offline
Joined: Sat Jan 06, 2007 7:08 pm
Posts: 105
You will only see "RTMP" listed in "My Addons" if you have an add-on with the string "RTMP" in its name already installed

fyi, the add-on that you have been looking at which you do have installed is supported by peak3d:

https://github.com/peak3d?tab=repositories

a cursory review of this input stream add-on documentation does not mention RTMP, so I don't know if it supports that protocol or not. I have not used any of these addons.

If you are having issues with RTMP, I suggest you look at this page: https://kodi.wiki/view/Add-on:RTMP_Input

when in doubt, check the logs for error messages

_________________
DH87MC i7-4770 16GB ram Xonar Essence ST geforce 710 LinHes 8.6


Top
 Profile  
 
PostPosted: Sat Jun 20, 2020 6:28 pm 
Offline
Joined: Mon Aug 14, 2006 8:24 pm
Posts: 318
Location: Melbourne, Australia
welner, thanks for your suggestions. I had checked the logs and that was what sent we chasing the RTMP addon. I consistently get this error
Code:
NOTICE: Creating InputStream
WARNING: Unable to resolve: inputstream.adaptive.so.2.0.19 ADDON_GetTypeVersion, reason: /home/mythtv/.kodi/addons/inputstream.adaptive/inputstream.adaptive.so.2.0.19: undefined symbol: ADDON_GetTypeVersion
ERROR: Unable to resolve exports from dll /home/mythtv/.kodi/addons/inputstream.adaptive/inputstream.adaptive.so.2.0.19

I had already tried your 2 other suggestions. The wiki directions bore no resemblance to my menus and the github zip files (I tried 2.0.2 and Leia) failed to install giving an error
Code:
ERROR: Failed to read 'zip://%2fhome%2fmythtv%2finputstream.rtmp-2.0.2.zip/inputstream.rtmp-2.0.2/addon.xml'

I am suspecting it is some new DRM issue that has crept into this free-to-air station stream.

_________________
Intel DG965WH, Dvico DVB-T Lite x2, HDHR, Gigabyte GT220, KingstonSSD, WD20EARS version=latest


Top
 Profile  
 
PostPosted: Sun Jun 21, 2020 9:44 am 
Offline
Joined: Sat Jan 06, 2007 7:08 pm
Posts: 105
Sorry I can't provide a definitive solution, I suspect that user knapster, who built Kodi for linhes or the Kodi forum would be better resources. there were conversations between bfransen and knaptser some time ago concerning Kodi, and the build responsibilities were given to knapster. knapster was interested in keeping Kodi current so he could take advantage of this new feature set.

here are, however, some observations...

In my initial response, I stated that I was using this package provided by knapster and available via the linhes repo. I have used versions 18.1 and 18.4 from this source. you haven't confirmed if you are using this source or not.

I got an 'early release' of the 18.4 package from knapster and still had the download. in that download, there were three files:

Code:
-rw-r--r--   1 mythtv mythtv 34158108 Nov  7  2019 kodi-18.4-0-x86_64.pkg.tar.xz
-rw-r--r--   1 mythtv mythtv   599908 Nov  7  2019 kodi-addon-inputstream-adaptive-2.4.2-0-x86_64.pkg.tar.xz
-rw-r--r--   1 mythtv mythtv   796476 Nov  7  2019 kodi-addon-pvr-mythtv-5.10.13-0-x86_64.pkg.tar.xz


so, this explains how I got these distributions and versions

thank you for the error from the log. searching for the error message shown, I was able to find one hit on a German language web site. in a long thread with multiple discussions going on, I was able to find someone state that this was a Kodi/addon version mismatch error:

https://translate.google.com/translate? ... ageNo%3D53

I was also able to find these addons in the archlinux AUR:

https://www.archlinux.org/groups/x86_64 ... putstream/

the input stream version is newer than what is in the linhes Kodi package but older than what is on git, and there is another add-on for rtmp. I should also mention that "rtmp" is not jumping out at me in the error message. I don't know how you are coming to the conclusion that it is rtmp related, however, I am missing some information that may be leading you to that conclusion. I should also urge caution whenever installing packages outside of the linhes repos.

be that as it may, I can't state that things will get better or worse if you try the addons from the AUR.

also, based on past experience on other unix systems, sometimes you can get away with making a symlink to the old and missing .so file to the one that is actually installed on your system.

I do not have 2.0.19 on my system:

Code:
[mythtv@mythtv inputstream.adaptive]$ locate inputstream | grep so
/usr/lib/kodi/addons/inputstream.adaptive/inputstream.adaptive.so
/usr/lib/kodi/addons/inputstream.adaptive/inputstream.adaptive.so.18.4
/usr/lib/kodi/addons/inputstream.adaptive/inputstream.adaptive.so.2.4.2
/usr/lib/kodi/addons/inputstream.adaptive/libssd_wv.so
/usr/share/kodi/addons/inputstream.adaptive/resources
/usr/share/kodi/addons/inputstream.adaptive/resources/language
/usr/share/kodi/addons/inputstream.adaptive/resources/settings.xml
/usr/share/kodi/addons/inputstream.adaptive/resources/language/resource.language.en_gb
/usr/share/kodi/addons/inputstream.adaptive/resources/language/resource.language.en_gb/strings.po


ie: I would make a symlink from the file that I have, /usr/lib/kodi/addons/inputstream.adaptive/inputstream.adaptive.so.2.4.2 to /home/mythtv/.kodi/addons/inputstream.adaptive/inputstream.adaptive.so.2.0.19. I assume you have the 2.4.2 version installed in the same location

I was able to reproduce your error with the 'official' rtmp add-on. it is indeed missing the add-on.xml file. addons can be very frustrating, and further confusing things is that the GUI tends to change from Kodi version to Kodi version and skin.

_________________
DH87MC i7-4770 16GB ram Xonar Essence ST geforce 710 LinHes 8.6


Top
 Profile  
 
PostPosted: Sun Jun 21, 2020 8:50 pm 
Offline
Joined: Mon Aug 14, 2006 8:24 pm
Posts: 318
Location: Melbourne, Australia
Once again, many thanks for your help. I now agree with you that I don't think rtmp is the problem and it is not a DRM issue. Although inputstream adaptive is installed, my older version is located totally in the /home/mythtv/.kodi directory which seems wrong. I downloaded the addon from the AUR site you referenced, inflated it from the zst and compressed it back to a zip file but it fails to install giving an error that it has an invalid structure. I also tried a file for 2.4.5 from github and had the same problem.inputstream.adaptive.so.2.4.2.

I also tried the sym link but no change and no I don't have 2.4.2 version installed.

_________________
Intel DG965WH, Dvico DVB-T Lite x2, HDHR, Gigabyte GT220, KingstonSSD, WD20EARS version=latest


Top
 Profile  
 
PostPosted: Thu Jun 25, 2020 6:10 am 
Offline
Joined: Thu Sep 27, 2007 5:44 pm
Posts: 568
Nicom,

Can you tell us which version of kodi you have installed? Inputstream.adaptive v2.0.19 is quite old and the linhes repo has v2.3.15 for kodi 18.1. I have some unofficial builds for kodi 18.4 and inputstream.adaptive 2.4.2

If you would like to install these, they can be downloaded from
https://drive.google.com/folderview?id= ... K0VIU16rtD

I believe this is what welner has installed. FWIW, kodi has released 18.7 and inputstream.adaptive is up to 2.4.5


Top
 Profile  
 

Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 8 posts ] 


All times are UTC - 6 hours




Who is online

Users browsing this forum: No registered users and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group

Theme Created By ceyhansuyu